---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/add-reaction-to-comment.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# React to a comment

Use this request to react to an issue comment.

<div class="request_example method_post yfm-clipboard">
    <p>POST</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_id>/comments/&lt;comment_id>/reactions/&lt;reaction_name></code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

## Request format {#query}

Before you make a request, [get access to the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To react to a comment, use an HTTP `POST` request:

```json translate=no
POST /v3/issues/<issue_id>/comments/<comment_id>/reactions/<reaction_name>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings-no-body.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings-no-body.md -->

{% cut "Resource" %}

Parameter | Description | Data type
-------- | -------- | ----------
\<issue_id> | Issue ID or key. | String
\<comment_id> | [Unique identifier of the comment](get-comments.md#answer) as a number (id) or a string (longId). | String or number
\<reaction_name> | Reaction name. Available values:<ul><li>`LIKE` — like;</li><li>`DISLIKE` — dislike;</li><li>`LAUGH` — laugh;</li><li>`HOORAY` — hooray;</li><li>`CONFUSED` — confused;</li><li>`HEART` — heart;</li><li>`ROCKET` — rocket;</li><li>`EYES` — eyes;</li><li>`FIRE` — fire;</li><li>`OK` — OK;</li><li>`FACEPALM` — facepalm;</li><li>`CHECK` — check.</li></ul> | String

{% endcut %}

> Example: Add a like reaction to a comment
>
> Uses an HTTP POST method.
>
> ```
> POST https://api.tracker.yandex.net/v3/issues/TREK-123/comments/12345/reactions/LIKE
> Host: api.tracker.yandex.net
> Authorization: OAuth <OAuth_token>
> X-Org-ID or X-Cloud-Org-ID: <organization_ID>
> ```

## Response format {#answer}

{% list tabs %}

- Request completed successfully

    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains information about the comment with an updated list of reactions in JSON format.

    ```json translate=no
    {
      "self": "https://api.tracker.yandex.net/v3/issues/TREK-123/comments/626",
      "id": 626,
      "longId": "5fa15a24ac894475********",
      "text": "Comment text",
      "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name",
        "cloudUid": "ajeppa7dgp53********",
        "passportUid": 11********
      },
      "updatedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name",
        "cloudUid": "ajeppa7dgp53********",
        "passportUid": 11********
      },
      "createdAt": "2020-11-03T13:24:52.575+0000",
      "updatedAt": "2020-11-03T13:24:52.575+0000",
      "reactionsCount": {
        "like": 1
      },
      "ownReactions": [
        "like"
      ],
      "version": 1,
      "type": "standard",
      "transport": "internal"
    }
    ```

    {% cut "Response parameters" %}

    Parameter | Description | Data type
    ----- | ----- | -----
    self | Link to the comment. | String
    id | Comment ID. | Number
    longId | Comment ID as a string. | String
    text | Comment text. | String
    [createdBy](#object-fields-createdBy) | Information about the user who created the comment. | Object
    [updatedBy](#object-fields-updatedBy) | Information about the user who last updated the comment. | Object
    createdAt | Date and time when the comment was created. | String
    updatedAt | Date and time when the comment was last updated. | String
    reactionsCount | Object with the number of reactions per type. Key — reaction name in lowercase, value — number. | Object
    ownReactions | Array of reactions left by the current user on this comment. Reaction names are in lowercase. | Array of strings
    version | Comment version. Every comment change increments the version number. | Number
    type | Comment type:<ul><li>`standard` — sent via the Tracker interface;</li><li>`incoming` — created from an incoming email;</li><li>`outcoming` — created from an outgoing email.</li></ul> | String
    transport | Method for adding a comment:<ul><li>`internal` — via the Tracker interface;</li><li>`email` — via email.</li></ul> | String

    **Object fields** `createdBy` {#object-fields-createdBy}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    **Object fields** `updatedBy` {#object-fields-updatedBy}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    {% endcut %}

- Request completed with an error

    If a request fails, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-400.md -->
    400
    :   One or more request parameters have an invalid value.
    <!-- endsource: en/_includes/api/answer-error-400.md -->

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}